Summary: GNU's bc (a numeric processing language) and dc (a calculator).
Name: bc
Version: 1.06
Release: 10m
License: GPL
Group: Applications/Engineering
URL: http://www.gnu.org/directory/bc.html
Source: ftp://ftp.gnu.org/pub/gnu/bc/%{name}-%{version}.tar.gz
Patch0: bc-1.06-readline.patch
BuildPrereq: readline
Prereq: info grep
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
The bc package includes bc and dc.  Bc is an arbitrary precision
numeric processing arithmetic language.  Dc is an interactive
arbitrary precision stack based calculator, which can be used as a
text mode calculator.

Install the bc package if you need its number handling capabilities or
if you would like to use its text mode calculator.

%prep
rm -rf %{buildroot}

%setup -q
%patch0 -p1

%build
./configure --prefix=/usr --with-readline
make LDFLAGS=-s

%install
rm -rf %{buildroot}

%makeinstall

# remove
rm -f %{buildroot}%{_datadir}/info/dir

%clean
rm -rf %{buildroot}

%post
# previous versions of bc put an improper entry into %{_infodir}/dir -- remove
# it
if grep 'dc: (bc)' %{_infodir}/dir > /dev/null; then
    grep -v 'The GNU RPN calculator' < %{_infodir}/dir > %{_infodir}/dir.$$
    mv -f %{_infodir}/dir.$$ %{_infodir}/dir
fi

/sbin/install-info %{_infodir}/dc.info.* %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/dc.info.* %{_infodir}/dir --entry="* dc: (dc).                      The GNU RPN calculator."
fi

%files
%defattr(-,root,root)
/usr/bin/dc
/usr/bin/bc
%{_mandir}/man1/*
%{_infodir}/dc.info.*
%{_infodir}/bc.info.*

%changelog
* Tue Mar 15 2004 Toru Hoshina <t@momonga-linux.org>
- (1.06-10m)
- revised spec for enabling rpm 4.2.

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.06-9m)
  rebuild against readline 4.3

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (1.06-8k)
- /sbin/install-info -> info in PreReq.

* Sat Dec 29 2001 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- change %configure to ./configure, because command, bc -l SEGV whenever (jitterbug 996)
- clean up spec file

* Sat Oct 13 2001 Masaru Sato <masachan@kondara.org>
- add URL tag

* Wed Nov 21 2000 Kenichi Matsubara <m@kondara.org>
- little bit bugfix specfile.

* Sun Nov 19 2000 Takaaki Tabuchi <tab@kondara.org>
- update version 1.06.
- add BuildPrereq: readline

* Wed Oct 25 2000 MATSUDA, Daiki <dyky@df-usa.com>
- modifiled %post and %preun section from .gz to .bz2

* Wed Oct 25 2000 Kencichi Matsubara <m@kondara.org>
- modified %files section.

* Fri May 12 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Distribution, Source, BuildRoot )

* Sun Apr 02 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (1.05a-5).

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Mon Nov 8 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Thu Jan 21 1999 Jeff Johnson <jbj@redhat.com>
- use %configure

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.05a.

* Sun Jun 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.05 with build root.

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Apr 21 1998 Erik Troan <ewt@redhat.com>
- got upgrades of info entry working (I hope)

* Sun Apr 05 1998 Erik Troan <ewt@redhat.com>
- fixed incorrect info entry

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- added install-info support

* Thu Sep 11 1997 Donald Barnes <djb@redhat.com>
- upgraded from 1.03 to 1.04

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
